## org.mortbay.jndi
Class InitialContextFactory.DefaultParser

    java.lang.Object
      |
      +--org.mortbay.jndi.InitialContextFactory.DefaultParser

All Implemented Interfaces:
  javax.naming.NameParser

Enclosing class:
  InitialContextFactory

public static class InitialContextFactory.DefaultParser
extends java.lang.Object
implements javax.naming.NameParser

Constructor Summary
`InitialContextFactory.DefaultParser()`

Method Summary
`javax.naming.Name` `parse(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextFactory.DefaultParser

    public InitialContextFactory.DefaultParser()

Method Detail

### parse

    public javax.naming.Name parse(java.lang.String name)
                            throws javax.naming.NamingException

  Specified by:
    `parse` in interface `javax.naming.NameParser`
    `javax.naming.NamingException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.